graph TB
subgraph 前端架构
A[客户端] --> B[分布式负载均衡器]
B --> C1[Web服务器1]
B --> C2[Web服务器2]
B --> C3[Web服务器3]
C1 --> D1[缓存服务器1]
C2 --> D2[缓存服务器2]
C3 --> D3[缓存服务器3]
end

subgraph 后端架构
E[客户端] --> F[分布式集群架构]
F --> G1[应用服务器1]
F --> G2[应用服务器2]
F --> G3[应用服务器3]
G1 --> H1[消息中间件]
G2 --> H1
G3 --> H1
end

subgraph 数据库架构
I[主库] --> J[从库1]
I --> J[从库2]
J --> I
K[主库] --> L[从库1]
K --> L[从库2]
L --> K
M[主库] --> N[从库1]
M --> N[从库2]
N --> M
O[主库] --> P[从库1]
O --> P[从库2]
P --> O
Q[主库] --> R[从库1]
Q --> R[从库2]
R --> Q
S[主库] --> T[从库1]
S --> T[从库2]
T --> S
end

subgraph 安全架构
U[不信任的网络1] --> V[Web层]
V --> W[应用层]
W --> X[数据层]
X --> Y[运维层]
U --> Z[Web层]
Z --> W
Y --> A1[访问控制]
Y --> B1[数据加密]
Y --> C1[防火墙]
Y --> D1[DDoS防护]
end
