# 代码优化范例
from mybatisplus.core.conditions import *
from mybatisplus.core.toolkit.Wrappers import *
from mybatisplus.ext.pool import GlobalSqlSessionFactory as sessionFactory
from time import time

# 初始化一个SqlSession
session = sessionFactory.sql_session()

def query():
    start = time()
    # 通过Mybatis-plus对查询语句进行优化
    article_list = session.selectList(
        select(Article).eq(Article.id, 1)
    )
    return article_list

# 测试一下执行效率
for i in range(10):
    print(query())
